KoboTerminalNGX API DocsGet a free API key

Corporate disclosures

NGX corporate filings: financial statements, board meeting notices, dividend declarations, director dealings, AGM notices and more, with links to the original PDFs.

http
GET https://koboterminal.com/api/ngxdata/disclosures

Plan: Starter and above (from ₦29,000 / $20 a month).

Parameters

NameInTypeRequiredDescription
symbolquerystringnoFilter by ticker (e.g. MTNN)
companyquerystringnoFilter by company name
typequerystringnoFilter by submission type, e.g. Financial Statements
limitqueryintegernoNumber of filings, or "all" (e.g. 20)

Request

bash
curl "https://koboterminal.com/api/ngxdata/disclosures?symbol=MTNN&limit=20" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/disclosures",
    params={"symbol": "MTNN", "limit": "20"},
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/disclosures?symbol=MTNN&limit=20", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "data": [
    {
      "symbol": "MTNN",
      "company": "MTN Nigeria Communications Plc",
      "title": "MTN NIGERIA COMMUNICATIONS PLC-NGX NOTIFICATION ON BOARD CHANGES",
      "url": "https://doclib.ngxgroup.com/Financial_NewsDocs/48362_MTN_NIGERIA_COMMUNICATIONS_PLC-NGX_NOTIFICATION_ON_BOARD_CHANGES_CORPORATE_ACTIONS_NOVEMBER_2026.pdf",
      "type": "Corporate Actions",
      "created": "2026-11-03T16:16:23+00:00",
      "modified": "2026-11-03T16:16:23+00:00"
    }
  ],
  "source": "supabase",
  "count": 2
}

Use it from an AI assistant

This endpoint is available as the get_disclosures tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.